Bug 42327 - Envelope center position landscape prints portrait
Summary: Envelope center position landscape prints portrait
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.2 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-27 17:09 UTC by Todd
Modified: 2013-06-26 20:42 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Same envelope odt (9.35 KB, application/vnd.oasis.opendocument.text)
2011-12-09 10:13 UTC, Todd
Details
result of sample envelope (14.84 KB, application/pdf)
2011-12-09 10:14 UTC, Todd
Details
scanned envelope (776.92 KB, application/pdf)
2012-04-04 12:45 UTC, Todd
Details
General Landscape Error (104.55 KB, image/png)
2012-04-30 12:52 UTC, Todd
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Todd 2011-10-27 17:09:47 UTC
Hi All,

I can not print envelopes.  This is a serious problem.

My printer is an Okidata B4350.  I use the CUPS Foomatic/ljet4 driver.  My envelopes feed center position landscape.  I am selecting the fifth from the left / second from the right that shows center feed landscape for my envelope orientation.

Problem: it prints landscape across the middle of my envelope.

Would you please fix this for me?

Many thanks,
-T
Comment 1 Rainer Bielefeld Retired 2011-12-09 08:36:49 UTC
@Todd
Please attach a sample document, that would ease trying form me; I normally do not use "print envelope" function.

Is there any experience that that worked better with an earlier version or OOo?
Comment 2 Todd 2011-12-09 10:12:33 UTC
(In reply to comment #1)
> @Todd
> Please attach a sample document, that would ease trying form me; I normally do
> not use "print envelope" function.

No problem.  I added two.  One is the envelope document and one is a PDF create by CUPS-PDF (not LO's PDF export).  The PDF shows portrait, instead of the requested landscape.

> 
> Is there any experience that that worked better with an earlier version or OOo?

Please do not remind me of BROO (Bug Riddled Open Office).  I have some seven year old bugs that they ignored.  (LO fixed "all" of them almost immediately -- love you guys!)  If I never see BROO again ...

I like the way Lotus/IBM's Word Pro does their envelope printing.
Comment 3 Todd 2011-12-09 10:13:25 UTC
Created attachment 54278 [details]
Same envelope odt
Comment 4 Todd 2011-12-09 10:14:07 UTC
Created attachment 54279 [details]
result of sample envelope
Comment 5 Todd 2011-12-09 10:14:56 UTC
"Same envelope" should have been "Sample Envelope".  Stinkin' typo's
Comment 6 Todd 2012-03-16 19:23:07 UTC
No symptom change under "LibreOffice 3.5.1.2", A.K.A. LibO_3.5.1_Linux_x86-64_install-rpm_en-US.tar.gz
Comment 7 Christopher Yeleighton 2012-03-25 11:48:19 UTC
Please attach a scan of the printout that you consider incorrect.
Comment 8 Todd 2012-03-29 19:23:26 UTC
(In reply to comment #7)
> Please attach a scan of the printout that you consider incorrect.

Hi Christopher,

   Already have.  See the second attachment, "result of sample envelope".  This is a CUPS-PDF print out of the envelope.  You will notice that it is in "Portrait" instead of the desired "Landscape".

   The problem I am reporting is the output to my printer should be Landscape, not Portrait.

Many thanks,
-T
Comment 9 Todd 2012-04-04 12:45:03 UTC
Created attachment 59489 [details]
scanned envelope

I had the scanner out, so I thought I would make a better look picture of the problem
Comment 10 sasha.libreoffice 2012-04-30 01:54:57 UTC
@ Todd
Thanks for bugreport. Please, see on bug 44664 , may be the same bug
Comment 11 Todd 2012-04-30 12:52:08 UTC
Created attachment 60804 [details]
General Landscape Error

Hi Sasha,

I think you are on to something.  I opened a Writer document and set it's page to Landscape and printed it out.  I got Portrait.  This bug may not have anything to specifically do with envelopes, but instead, printing in Landscape in general.

How do you want to handle this bug?  Open a new one specifically to Landscape printing?  Link this bug to a Landscape bug?

I have attached a screenshot of my test.

-T
Comment 12 sasha.libreoffice 2012-05-02 02:10:05 UTC
Thanks for additional testing
> How do you want to handle this bug?
Meanwhile, use workaround from that bug.
Comment 13 QA Administrators 2013-05-26 22:32:21 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 14 Todd 2013-05-28 22:08:36 UTC
This still needs fixin'
Comment 15 Joel Madero 2013-05-28 22:28:34 UTC
In the future please read the instructions carefully - this bug has not been independently verified so it should be in UNCONFIRMED status not NEW status.

Thanks!
Comment 16 sasha.libreoffice 2013-05-29 11:54:45 UTC
today this bug is reproducible in 4.0.3 and not fixed. And mentioned above  bug 44664 also not fixed. Reason is simple: it is not our bug. At least so told experts.
IMHO It is shame that in LO not working so simple thing as printing.
Comment 17 Joel Madero 2013-06-21 18:21:45 UTC
@Sasha - so the bug marked as fixed in 4.0 is not fixed in 4.0? Why haven't you commented on that bug to say that? Also reopen it - it obviously got a ton of attention so they'd be happy to know it's not fixed as you expect


I must be missing something - the pdf provided shows landscape so it seems that it's how the envelope is being entered that is the problem or CUPS not behaving correctly. 

@Florian - just because you have done some serious diagnostics with CUPS before - any thoughts on this one? Is this our bug??
Comment 18 sasha.libreoffice 2013-06-24 06:31:39 UTC
> Why haven't you commented on that bug to say that?
According to explanation, bug is is Fedora and several other distros, but not in LO.  Bug 44664 not present in Debian and Ubuntu. If we would know which distro uses  Todd we would understand if it is the same bug or not.

@ Todd
Please, tell which distro used for printing.
Comment 19 Florian Reisinger 2013-06-25 09:06:23 UTC
@Joel: My thoughts:
*An envelope is landscape, it does not really make sense in portrait...
*So exporting to PDF and printing in landscape is the wanted way....
*This means, that there is no bug on our side
*Also keep in mind that the writing-direction would not be RTL or LTR, but TTB (Top to bottom) or BTT, which would not be the wanted behavior.
## So LibreOffice does everything as it should --> NOTOURBUG
*For further information, please go to the CUPS team.
### Please ask, if you have further questions....
Comment 20 Todd 2013-06-25 16:31:22 UTC
(In reply to comment #19)
> @Joel: My thoughts:
> *An envelope is landscape, it does not really make sense in portrait...
> *So exporting to PDF and printing in landscape is the wanted way....
> *This means, that there is no bug on our side
> *Also keep in mind that the writing-direction would not be RTL or LTR, but
> TTB (Top to bottom) or BTT, which would not be the wanted behavior.
> ## So LibreOffice does everything as it should --> NOTOURBUG
> *For further information, please go to the CUPS team.
> ### Please ask, if you have further questions....

PDF?  What PDF?  I put a number 10 envelope in the manual feeder of my Okidata 4350 printer.  I tell LO my envelope is center landscape, second picture from the right.  I tell the LO to print.  It prints cross ways (portrait) on my envelope, ruining my envelope.

This has nothing to do with CUPS.  If so, Word Pro would make the same error and it does not.

Where are you getting PDF?

And I still can't print an envelope.  Makes LO writer pretty useless in an office environment.  I have to constantly use the aged, "end of life" Word Pro to print envelopes.

Please fix this!

Many thanks,
-T
Comment 21 Florian Reisinger 2013-06-25 16:43:29 UTC
(In reply to comment #20)
> (In reply to comment #19)

> 
> This has nothing to do with CUPS.

Oh yes it does :)

> If so, Word Pro would make the same error
> and it does not.
> 
> Where are you getting PDF?

#8

> 
> And I still can't print an envelope.  Makes LO writer pretty useless in an
> office environment.  I have to constantly use the aged, "end of life" Word
> Pro to print envelopes.

Regarding http://en.wikipedia.org/wiki/IBM_Lotus_Word_Pro this is a Windows program, which does not really fit to platform "Linux"

> 
> Please fix this!

Seems to be fixed by this: https://bugs.freedesktop.org/show_bug.cgi?id=44664#c59 and https://bugs.linuxfoundation.org/show_bug.cgi?id=1080, so NOTOURBUG

> 
> Many thanks,
> -T
Comment 22 Todd 2013-06-25 17:31:22 UTC
I see your point.  I opened the following bug against this:
https://bugzilla.redhat.com/show_bug.cgi?id=977976
Comment 23 sasha.libreoffice 2013-06-26 06:49:24 UTC
@ Todd
Sorry for we can not help much.
Currently this workaround should help:
In LibreOffice 4 under tools->options->print there is now an additional checkbox to disable using PDF as the default print job format for all printers.
At least disabling this option fixed problem with printing landscape A4 on Fedora
Comment 24 Florian Reisinger 2013-06-26 06:57:18 UTC
I want tomstress this again: The bug is fixed by a new CUPS release. For older LibO vesions, there is a workaround: https://bugs.freedesktop.org/show_bug.cgi?id=44664#c59

Please close the bug @redhat.... It is fixed
Comment 25 Todd 2013-06-26 17:34:24 UTC
(In reply to comment #24)
> I want tomstress this again: The bug is fixed by a new CUPS release. For
> older LibO vesions, there is a workaround:
> https://bugs.freedesktop.org/show_bug.cgi?id=44664#c59
> 
> Please close the bug @redhat.... It is fixed

Hi Florian,

Red Hat will not pump the fix out, unless they see some reason to do such.  As RHEL is "enterprise", they lock down revisions.  Therefore everything is "out of date".  (Fedora on the other hand, is current.)  RHEL is never current.  So, to get them to roll out the patch (they may not anyway), I will leave the bug open.

The big issue for Red Hat is whether or not the patch will break some big file server printing function used in the enterprise.  

-T
Comment 26 Todd 2013-06-26 18:19:09 UTC
(In reply to comment #23)
> @ Todd
> Sorry for we can not help much.
> Currently this workaround should help:
> In LibreOffice 4 under tools->options->print there is now an additional
> checkbox to disable using PDF as the default print job format for all
> printers.
> At least disabling this option fixed problem with printing landscape A4 on
> Fedora

That works!  Thank you!
Comment 27 Dag Wieers 2013-06-26 20:42:37 UTC
I'd like to add here though that although RHEL in general does stick to a specific version (and supports that for the complete life cycle, up to 13 years), you can (as a customer) request bug-fixes or enhancements to be backported to the version Red Hat ships.

Ofcourse the decision to backport lies solemnly with Red Hat Engineering and depends on many factors. For various customers we did report certain bugs and requested specific enhancements and in the majority of cases (important functionality missing and/or critical bugs) fixes were included (first in the fastrack channel, later in the next release).

In some cases (e.g. rsyslog) Red Hat even update to a new major version in between RHEL5 minor releases (patch-levels).